import { ElementLocationInView, Point, ElementDimensions } from "../lib/element/ElementLocation";
import { By } from "../lib/element/Locator";
export interface TkWebElement<WD> {
    getFrWkElement(): any;
    getAttribute(attributeName: string): Promise<string>;
    getProperty(propertyName: string): Promise<string>;
    findElements(locator: By): Promise<TkWebElement<WD>[]>;
    isDisplayed(): Promise<boolean>;
    isEnabled(): Promise<boolean>;
    sendKeys(keySequence: string): Promise<void>;
    clear(): Promise<void>;
    click(): Promise<void>;
    getText(): Promise<string>;
    move(): (client: WD) => Promise<WD>;
    getRect(): Promise<ElementDimensions>;
    getCenterPoint(): Promise<Point>;
    getLocationInView(): Promise<ElementLocationInView>;
    scrollIntoView(center?: boolean): Promise<void>;
}
//# sourceMappingURL=TkWebElement.d.ts.map