export interface ElementDimensions {
    x: number;
    y: number;
    width: number;
    height: number;
}
export interface BoundingRect extends ElementDimensions {
    top: number;
    bottom: number;
    left: number;
    right: number;
}
export interface ElementLocationInView {
    boundingRect: BoundingRect;
    innerHeight: number;
    innerWidth: number;
}
export interface Point {
    x: number;
    y: number;
}
export declare const isElementInViewPort: (loc: ElementLocationInView) => boolean;
export declare const getCenterPoint: (dimension: ElementDimensions) => Point;
export declare const centerDistance: (point1: Point, point2: Point) => Point;
export declare const getElementsCG: (loc: Promise<ElementLocationInView>) => Promise<Point>;
//# sourceMappingURL=ElementLocation.d.ts.map