import { ClientCtrls } from "../../interface/ClientCtrls";
import { TkWebElement } from "../../interface/TkWebElement";
import { ImplicitWaiter, WebElementFinder, WebElementListFinder } from "../../interface/WebElements";
import { UntilElementCondition } from "./ElementConditions";
import { ElementDimensions, ElementLocationInView, Point } from "./ElementLocation";
import { WebElementListWd } from "./WebElementListWd";
import { By } from "./Locator";
export declare class WebElementWd<WD> implements WebElementFinder, ImplicitWaiter {
    private elementList;
    private browser;
    private _description;
    private logger;
    constructor(elementList: WebElementListWd<WD>, browser: ClientCtrls<WD>);
    all(locator: By): WebElementListFinder;
    element(locator: By): WebElementFinder;
    protected getWebElement: () => Promise<TkWebElement<WD>>;
    protected parentGetWebElement: () => Promise<TkWebElement<WD>>;
    click(): Promise<void>;
    movePointerTo: (client: WD) => Promise<WD>;
    dragToElement(element: WebElementFinder): Promise<void>;
    private getCenterDistanceTo;
    hover(): Promise<void>;
    sendKeys(keySequence: string): Promise<void>;
    getText(): Promise<string>;
    getAttribute(attributeName: string): Promise<string>;
    getProperty(propertyName: string): Promise<string>;
    getRect(): Promise<ElementDimensions>;
    getCenterPoint(): Promise<Point>;
    private getElementLocationInViewFromElement;
    getElementLocationInView(): Promise<ElementLocationInView>;
    isVisible(): Promise<boolean>;
    isDisplayed(): Promise<boolean>;
    isEnabled(): Promise<boolean>;
    scrollIntoView(center?: boolean): Promise<void>;
    clear(): Promise<void>;
    get description(): string;
    called(description: string): WebElementFinder;
    toString(): string;
    shallWait(condition: UntilElementCondition): WebElementFinder;
    shallNotImplicitlyWait(): WebElementFinder;
    isVisibleWaiter(): Promise<boolean[] | boolean>;
    isEnabledWaiter(): Promise<boolean[] | boolean>;
}
//# sourceMappingURL=WebElementWd.d.ts.map