import { Client } from "webdriver";
import { TkWebElement } from "../../interface/TkWebElement";
import { ElementDimensions, ElementLocationInView, Point } from "../../lib/element/ElementLocation";
import { By } from "../../lib/element/Locator";
export interface ElementRefIO {
    [key: string]: string;
}
export declare class WebElementIO implements TkWebElement<Client> {
    private htmlElement;
    private client;
    private logger;
    private constructor();
    static create(ioElement: ElementRefIO, client: Client): WebElementIO;
    static createAll(ioElements: ElementRefIO[], client: Client): WebElementIO[];
    private getElementKey;
    getElementId(): string;
    getFrWkElement(): ElementRefIO;
    click(): Promise<void>;
    getText(): Promise<string>;
    clear(): Promise<void>;
    sendKeys(keySequence: string): Promise<void>;
    getAttribute(attributeName: string): Promise<string>;
    getProperty(propertyName: string): Promise<string>;
    isDisplayed(): Promise<boolean>;
    isEnabled(): Promise<boolean>;
    scrollIntoView: (center?: boolean | undefined) => Promise<void>;
    getLocationInView: () => Promise<ElementLocationInView>;
    move(): (client: Client) => Promise<Client>;
    private moveToElement;
    getRect(): Promise<ElementDimensions>;
    getCenterPointInView(): Promise<Point>;
    getCenterPoint(): Promise<Point>;
    findElements(locator: By): Promise<TkWebElement<Client>[]>;
}
//# sourceMappingURL=WebElementIO.d.ts.map